import { httpApp } from "@/plugins/axiosIndex";
import { pickBy } from "lodash-es";
import { object2QueryString } from "@/utils/utils";

export function searchTasks({ type = "", pageNumber = 1, pageSize = 10 }) {
  const data = pickBy({ type, pageNumber, pageSize }, (v) => v !== "");
  return httpApp.post("/api/admin/task/query?" + object2QueryString(data));
}

export function importExamStudent({ examId, fileName, file, md5 }) {
  const form = new FormData();
  form.append("examId", examId);
  form.append("fileName", fileName);
  form.append("file", file);
  return httpApp.post("/api/admin/examStudent/import", form, {
    headers: { "Content-Type": "multipart/form-data", md5 },
  });
}

export function importInvigilator({ fileName, file, md5 }) {
  const form = new FormData();
  form.append("fileName", fileName);
  form.append("file", file);
  return httpApp.post("/api/admin/invigilateUser/import", form, {
    headers: { "Content-Type": "multipart/form-data", md5 },
  });
}

export function exportInvigilate() {
  return httpApp.post("/api/admin/invigilateUser/export");
}
